Skip to main content
POST
/
imgs
Create N images
curl --request POST \
  --url https://api.wesog.com/imgs \
  --header 'API-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "id": "<string>",
    "src": "<string>",
    "src_path": "<string>",
    "url_img_watermark": "<string>",
    "url_img_thumbnail": "<string>",
    "title": "<string>",
    "headline": "<string>",
    "caption": "<string>",
    "alt_text": "<string>",
    "ai_generated": true,
    "model_release": true,
    "property_release": true,
    "nsfw": true,
    "status": "<string>",
    "date": "<string>",
    "location": "<string>",
    "city": "<string>",
    "country": "<string>",
    "event": "<string>",
    "author": "<string>",
    "provider": "<string>",
    "shot": "<string>",
    "scene": "<string>",
    "technique": "<string>",
    "medium": "<string>",
    "keywords": [
      "<string>"
    ],
    "categories": [
      "<string>"
    ],
    "collections": [
      "<string>"
    ]
  }
]
'
import requests

url = "https://api.wesog.com/imgs"

payload = [
    {
        "id": "<string>",
        "src": "<string>",
        "src_path": "<string>",
        "url_img_watermark": "<string>",
        "url_img_thumbnail": "<string>",
        "title": "<string>",
        "headline": "<string>",
        "caption": "<string>",
        "alt_text": "<string>",
        "ai_generated": True,
        "model_release": True,
        "property_release": True,
        "nsfw": True,
        "status": "<string>",
        "date": "<string>",
        "location": "<string>",
        "city": "<string>",
        "country": "<string>",
        "event": "<string>",
        "author": "<string>",
        "provider": "<string>",
        "shot": "<string>",
        "scene": "<string>",
        "technique": "<string>",
        "medium": "<string>",
        "keywords": ["<string>"],
        "categories": ["<string>"],
        "collections": ["<string>"]
    }
]
headers = {
    "API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify([
    {
      id: '<string>',
      src: '<string>',
      src_path: '<string>',
      url_img_watermark: '<string>',
      url_img_thumbnail: '<string>',
      title: '<string>',
      headline: '<string>',
      caption: '<string>',
      alt_text: '<string>',
      ai_generated: true,
      model_release: true,
      property_release: true,
      nsfw: true,
      status: '<string>',
      date: '<string>',
      location: '<string>',
      city: '<string>',
      country: '<string>',
      event: '<string>',
      author: '<string>',
      provider: '<string>',
      shot: '<string>',
      scene: '<string>',
      technique: '<string>',
      medium: '<string>',
      keywords: ['<string>'],
      categories: ['<string>'],
      collections: ['<string>']
    }
  ])
};

fetch('https://api.wesog.com/imgs', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "num_total": 123,
  "num_good": 123,
  "num_bad": 123,
  "is_started": true,
  "is_finished": true,
  "all_good": true,
  "do_wait": true,
  "do_urgent": true,
  "do_strict": true,
  "idle_ms": 123,
  "exec_ms": 123,
  "created_at": "<string>",
  "started_at": "<string>",
  "finished_at": "<string>",
  "errors": [
    {
      "id": 123,
      "msg": "<string>"
    }
  ]
}
{
  "operation_id": 123,
  "n_total": 123,
  "msg": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

API-Key
string
header
required

Query Parameters

wait
boolean
default:false

Wait for completion?

urgent
boolean
default:false

Enqueue at head of queue if True

strict
boolean
default:false

Use strict mode if True

lang
string
default:es

en|es|pt|fr|ru

Body

application/json
id
string
required
src
string | null
src_path
string | null
url_img_watermark
string | null
url_img_thumbnail
string | null
title
string | null
headline
string | null
caption
string | null
alt_text
string | null
ai_generated
boolean | null
model_release
boolean | null
property_release
boolean | null
nsfw
boolean | null
status
string | null
date
string | null
location
string | null
city
string | null
country
string | null
event
string | null
author
string | null
provider
string | null
shot
string | null
scene
string | null
technique
string | null
medium
string | null
keywords
string[] | null
categories
string[] | null
collections
string[] | null

Response

Successful Response